
               NUMERICAL METHODS: C Programs
               (c) 1995 by John H. Mathews

                 To Accompany

               NUMERICAL  METHODS
               for Mathematics, Science,
               and Engineering
               Second Edition
               PRENTICE HALL, INC.
               ISBN 0-13-624990-6
               ISBN 0-13-625047-5
               Englewood Cliffs, NJ 07632
               (c) 1992, 1987 by
               John H. Mathews
               California State Unive., Fullerton
               E-mail  in%"mathews@fullerton.edu"


   This free software is complements of the author.
It is permissible to copy this software for educational purposes,
provided that it is used with the textbook. The software may not
be sold for profit and may only be sold in such a way that the 
cost of reproduction are recovered.



                       PREFACE

  This disk contains numerical methods software coded in C.
The algorithms are described in the text NUMERICAL METHODS for
Mathematics, Science, and Engineering.  

  The printed version of this material is titled 
"C Programming Guidebook for NUMERICAL METHODS."

  The author appreciates correspondence regarding both the
textbook and the supplements. You are welcome to correspond
by mail or electronic mail.


Prof.  John  H.  Mathews
Department of Mathematics
California State University Fullerton
Fullerton, CA  92634
(714) 773-3631
(714) 773-3196
FAX: (714) 773-3972
E-mail:  in%"mathews@fullerton.edu"



                   CONTENTS

1.  Preliminaries

2.  The Solution of Nonlinear Equations f(x) = 0

3.  The Solution of Linear Systems  AX = B

4.  Interpolation and Polynomial Approximation

5.  Curve Fitting

6.  Numerical Differentiation

7.  Numerical Integration

8.  Numerical Optimization

9.  Solution of Differential Equations

10. Solution of Partial Differential Equations

11. Eigenvalues and Eigenvectors



